import request from '@/utils/request'

// 初始化项目（全部）
export function getProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_项目名称_查询数据_工艺定额任务分配',
      param: '考核状态=3&工艺任务分配状态=1&定额任务分配状态=1'
    }
  })
}
// 初始化项目（当天）
export function getProject0() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_工艺任务分配_项目查询'
    }
  })
}
// 获取机床图号（全部）
export function getGraphNum() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_机床名称_根据机床查询',
      param: '是否传递=2&考核状态=3&工艺任务分配状态=1&定额任务分配状态=1&单件是否外协=0'
    }
  })
}
// 获取机床图号（当天）//////////////
export function getGraphNum0(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_工艺任务分配_机床查询',
      param: '项目流水号=' + num
    }
  })
}
// 获取组号（全部）
export function getGroupNum(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_组件名称_查询数据',
      param: '机床流水号=' + num + '&是否传递=2&考核状态=3&工艺任务分配状态=1&定额任务分配状态=1&单件是否外协=0'
    }
  })
}
// 获取组号（当天）/////////
export function getGroupNum0(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_工艺任务分配_组件查询',
      param: '机床流水号=' + num
    }
  })
}
// 获取工艺计划，填充主表
export function getTable0(PageCurrent, PageSize, num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_已制定计划_按组查',
      param: '组件流水号=' + num,
      Pagination: PageCurrent + '&' + PageSize
    }
  })
}
// 查询主表（当天）////////
export function getTable00(PageCurrent, PageSize, num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_工艺任务分配_零件查询',
      param: '组件流水号=' + num,
      Pagination: PageCurrent + '&' + PageSize
    }
  })
}
// 保存
export function save(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_工艺任务分配_保存数据',
      param: '工艺计划流水号=' + num1 + '&人员编号=' + num2 + '&零件图号=' + num3
    }
  })
}
// // 模糊查询
// export function fuzzyQuery(num) {
//   return request({
//     url: '',
//     method: 'post',
//     data: {
//       type: '1',
//       name: '车间生产管理工艺_传递后_机床名称_查询数据_模糊查询',
//       param: '机床图号=' + num + '&是否传递=2&考核状态=3&工艺任务分配状态=1&定额任务分配状态=1'
//     }
//   })
// }
// 工艺定额人员查询
export function initPerson() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=20'
    }
  })
}
